Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TFaultInfo

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TFaultInfoImpl

    public interface TFaultInfo

extends org.apache.xmlbeans.XmlObject

An XML tFaultInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static interface` | `TFaultInfo.Data` An XML data(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
`static class` | `TFaultInfo.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TFaultInfo.Data` | `addNewData()` Appends and returns a new empty "data" element
`int` | `getAiid()` Gets the "aiid" element
`TFaultInfo.Data` | `getData()` Gets the "data" element
`java.lang.String` | `getExplanation()` Gets the "explanation" element
`int` | `getLineNumber()` Gets the "line-number" element
`javax.xml.namespace.QName` | `getName()` Gets the "name" element
`boolean` | `isSetData()` True if has "data" element
`void` | `setAiid(int aiid)` Sets the "aiid" element
`void` | `setData(TFaultInfo.Data data)` Sets the "data" element
`void` | `setExplanation(java.lang.String explanation)` Sets the "explanation" element
`void` | `setLineNumber(int lineNumber)` Sets the "line-number" element
`void` | `setName(javax.xml.namespace.QName name)` Sets the "name" element
`void` | `unsetData()` Unsets the "data" element
`org.apache.xmlbeans.XmlInt` | `xgetAiid()` Gets (as xml) the "aiid" element
`org.apache.xmlbeans.XmlString` | `xgetExplanation()` Gets (as xml) the "explanation" element
`org.apache.xmlbeans.XmlInt` | `xgetLineNumber()` Gets (as xml) the "line-number" element
`org.apache.xmlbeans.XmlQName` | `xgetName()` Gets (as xml) the "name" element
`void` | `xsetAiid(org.apache.xmlbeans.XmlInt aiid)` Sets (as xml) the "aiid" element
`void` | `xsetExplanation(org.apache.xmlbeans.XmlString explanation)` Sets (as xml) the "explanation" element
`void` | `xsetLineNumber(org.apache.xmlbeans.XmlInt lineNumber)` Sets (as xml) the "line-number" element
`void` | `xsetName(org.apache.xmlbeans.XmlQName name)` Sets (as xml) the "name" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getName

    javax.xml.namespace.QName getName()

  Gets the "name" element

### xgetName

    org.apache.xmlbeans.XmlQName xgetName()

  Gets (as xml) the "name" element

### setName

    void setName(javax.xml.namespace.QName name)

  Sets the "name" element

### xsetName

    void xsetName(org.apache.xmlbeans.XmlQName name)

  Sets (as xml) the "name" element

### getExplanation

    java.lang.String getExplanation()

  Gets the "explanation" element

### xgetExplanation

    org.apache.xmlbeans.XmlString xgetExplanation()

  Gets (as xml) the "explanation" element

### setExplanation

    void setExplanation(java.lang.String explanation)

  Sets the "explanation" element

### xsetExplanation

    void xsetExplanation(org.apache.xmlbeans.XmlString explanation)

  Sets (as xml) the "explanation" element

### getLineNumber

    int getLineNumber()

  Gets the "line-number" element

### xgetLineNumber

    org.apache.xmlbeans.XmlInt xgetLineNumber()

  Gets (as xml) the "line-number" element

### setLineNumber

    void setLineNumber(int lineNumber)

  Sets the "line-number" element

### xsetLineNumber

    void xsetLineNumber(org.apache.xmlbeans.XmlInt lineNumber)

  Sets (as xml) the "line-number" element

### getAiid

    int getAiid()

  Gets the "aiid" element

### xgetAiid

    org.apache.xmlbeans.XmlInt xgetAiid()

  Gets (as xml) the "aiid" element

### setAiid

    void setAiid(int aiid)

  Sets the "aiid" element

### xsetAiid

    void xsetAiid(org.apache.xmlbeans.XmlInt aiid)

  Sets (as xml) the "aiid" element

### getData

    TFaultInfo.Data getData()

  Gets the "data" element

### isSetData

    boolean isSetData()

  True if has "data" element

### setData

    void setData(TFaultInfo.Data data)

  Sets the "data" element

### addNewData

    TFaultInfo.Data addNewData()

  Appends and returns a new empty "data" element

### unsetData

    void unsetData()

  Unsets the "data" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD